package com.chenyang.nse.bussiness.tools.dataprocess.hive.hdfs.format;

import java.util.ArrayList;
import java.util.List;

public class DataBatch {
   public List<DataRow> rows = new ArrayList();

   public static class DataRow {
      public List<DataCell> cells = new ArrayList();
   }

   public static class DataCell {
      public String column;
      public DataValue value;
   }

   public static class DataValue {
      public String type;
      public Object value;

      public String getString() {
         return (String)this.value;
      }
   }
}
